/*
 * BPPair.java
 * Copyright (c) 2008 kbinani
 *
 * This file is part of jp.sourceforge.lipsync.vsq.
 *
 * jp.sourceforge.lipsync.vsq is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * jp.sourceforge.lipsync.vsq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package jp.sourceforge.lipsync.vsq;

public class BPPair implements Comparable {
    //private int m_clock;
    public int Clock;
    //private int m_value;
    public int Value;

    public int compareTo( Object arg_item ) {
        if ( !arg_item.getClass().equals( BPPair.class.getClass() ) ) {
            return 0;
        }
        BPPair item = (BPPair)arg_item;
        if ( Clock > item.Clock ) {
            return 1;
        } else if ( Clock < item.Clock ) {
            return -1;
        } else {
            return 0;
        }
    }


    /*public property int Clock {
    get {
    return m_clock;
    }
    set {
    m_clock = value;
    }
    };*/
    /*public property int Value {
    get {
    return m_value;
    }
    set {
    m_value = value;
    }
    };*/
    public BPPair( int clock, int value ) {
        Clock = clock;
        Value = value;
    }

}
